### Signal

# SpiceClientGLib PortChannel::port-data

since: 0.15

#### Declaration

    void
    port_data (
      SpicePortChannel* self,
      gpointer data,
      gint size,
      gpointer user_data
    )

#### Description [src]

The `SpicePortChannel::port-data` signal is emitted when new port data is received.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 0.15

#### Parameters

`data`

  Type: `gpointer`

  The data received.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`size`

  Type: `gint`

  Number of bytes read.